
QGIS Application - Bug report #18081

GDB recognition mixup

2018-02-12 07:29 PM - Douglas Alderman

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.18.14 Regression?: No

Operating System: Windows 7 Home Premium Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 25977

Description

I open a new project, add several layers from an ArcGIS GDB.  Then work in the project for a while.  When I close it and reopen it the GDB

layers are there, but they may or may not be referencing the correct layer from the GDB.  My Covertypes layer could be mapping the

Powerline layer or some other layer.

Related issues:

Related to QGIS Application - Bug report # 20031: The only layer contained in... Closed 2018-10-05

Duplicated by QGIS Application - Bug report # 19885: Using the Browser panel ... Closed 2018-09-18

History

#1 - 2018-02-13 08:58 AM - Richard Duivenvoorde

- Category changed from Unknown to Data Provider/OGR

- Status changed from Open to Feedback

Hi, can you elaborate a little further, and preferably add a dataset, qgs project file and or some screenies?

If I understand correct:

- given a gdb with say: polygon, line, point

- adding these to a project in that order and save the project

- then closing the project

- then opening the project and then the order is wrong?

#2 - 2018-02-22 08:53 PM - Douglas Alderman

- Assignee set to Richard Duivenvoorde

Hi Richard,

The "layers panel" shows the correct layers from the GDB.  The "Layer Properties" of each layer also shows the layers are referencing the correct layer from

the GDB.  However, the map view will show a completely different layer from the same GDB than the layer it is supposed to be showing.

As I just went through this, I just remembered that oftentimes I need to shorten the name in the "layers panel".  To do this I have been going to the

"General" tab of the "Layer Properties" and shortening the 'Layer Name'.  For example:  The original GDB 'Layer name' in the 'General' tab of the "Layer

Properties" after I open it from the GDB is "Update_Current Appalachian_Forest_B_HCVF".  So I can see the entire 'Layer name' in the 'Layers Panel' of

QGIS and have a bigger map view, I will shorten the "Layer name" in the 'General' tab to "AppB_HCVF".  After I saved and closed the project and reopened

it later, the "AppB_HCVF" layer is still correct in the 'Layer Panel', but the map view of this layer is showing the "AppB_Powerlines" layer instead of the

HCVF layer.  Oftentimes 2 or more layers will be referencing incorrect layers while the rest of the layers are referencing the correct layer from the GDB.  I

wonder if the name change could be the reason for the correct layer referencing some other layer in the same GDB?
I don't know if the company I am working is going to let me share the GDB.  I cannot get the program to do it again.  Good Lord willing I will try another time

to make it happen.  For now, we have started changing all of the GDB layers to shapefiles and opening them as shapefiles rather than GDBs.  This is a

hassle though and is only a band-aid for the issue.  If I get it to happen again, I will revisit the bug report and post some screenies with explanations.  If the

company decides to share the dataset, I will include it also.

Thanks,

Doug

#3 - 2018-02-27 02:52 PM - Douglas Alderman

The company has agreed to share the GDB, but would like a more confidential approach to get it to you rather than to post it on this site.  Is there any way I

could send it to you via a dropbox link or something like that.

Thanks!

#4 - 2018-02-27 04:09 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from Yes to No

- Assignee deleted (Richard Duivenvoorde)

Douglas Alderman wrote:

The company has agreed to share the GDB, but would like a more confidential approach to get it to you rather than to post it on this site.  Is there

any way I could send it to you via a dropbox link or something like that.

please sent it to me: giovanni dot manghi at gmail dot com

#5 - 2018-03-01 02:59 PM - Douglas Alderman

Good morning Giovanni, the GDB is 303 mb.  I do not think it will send via email.

#6 - 2018-03-01 03:02 PM - Giovanni Manghi

Douglas Alderman wrote:

Good morning Giovanni, the GDB is 303 mb.  I do not think it will send via email.

the email address is to make a dropbox/gdrive share

#7 - 2018-05-09 05:53 AM - Douglas Alderman

- File Screenshot 2018-05-08 23.22.05.png added

This issue just reoccurred again with the same GDB Feature Class, but it was in a different project.  I am attaching a screenshot to this entry.  Please notice

the feature class from the GDB is the '...HCVF' feature class.  Please also notice that the attribute table is supposed to be for the '...HCVF' feature class,
but it is actually the attribute table of the '...Powerline_ROW-100ft' feature class from the same GDB.  This is a GDB that was created in ArcGIS at our main

office, sent to me via Dropbox, then downloaded to my desktop.  Please note that I do not notice this issue when I first make a new project.  It appears to

occur after I close the project and reopen it later.

I apologize for the delay in getting back to you on this subject.  I will also try the "Dropbox/gdrive share" in the next couple of days.  I have to make sure

there is no classified information on the GDB before I can share it.  Please accept my apologies for the misunderstanding about the email address also. 

Thanks!

#8 - 2018-06-01 02:42 PM - Even Rouault

- Resolution set to fixed/implemented

I'm pretty sure this is a known issue that has been fixed in the QGIS 3 line. Previously for multi-layer datasources, the project stored them with a layer

index, which was unstable if the datasource had layers removed or added. QGIS3 now stores the layer name instead.

Closing as fixed in QGIS 3

#9 - 2018-06-01 02:44 PM - Even Rouault

- Status changed from Feedback to Closed

#10 - 2018-09-19 09:12 AM - Jürgen Fischer

- Duplicated by Bug report #19885: Using the Browser panel layers are added by layerid  added

#11 - 2018-10-05 05:33 PM - Andrea Giudiceandrea

- Related to Bug report #20031: The only layer contained in a singlelayer GPKG / SQLite / FileGDB is incorrectly added to the map without 

"|layername=" in some circumstances added

Files

Screenshot 2018-05-08 23.22.05.png 368 KB 2018-05-09 Douglas Alderman
